'libspf2' DNS TXT Record Handling Remote Buffer Overflow Vulnerability

Bugtraq ID: 31881
Class: Boundary Condition Error
CVE: CVE-2008-2469
Remote: Yes
Local: No
Published: Oct 21 2008 12:00AM
Updated: Nov 14 2008 02:14PM
Credit: Dan Kaminsky
Vulnerable: libspf2 libspf2 1.2.7
libspf2 libspf2 1.2.6
libspf2 libspf2 1.2.5
libspf2 libspf2 1.2.4
libspf2 libspf2 1.2.3
libspf2 libspf2 1.2.2
libspf2 libspf2 1.2.1
Gentoo Linux
Debian Linux 4.0 sparc
Debian Linux 4.0 s/390
Debian Linux 4.0 powerpc
Debian Linux 4.0 mipsel
Debian Linux 4.0 mips
Debian Linux 4.0 m68k
Debian Linux 4.0 ia-64
Debian Linux 4.0 ia-32
Debian Linux 4.0 hppa
Debian Linux 4.0 arm
Debian Linux 4.0 amd64
Debian Linux 4.0 alpha
Debian Linux 4.0
Astaro Security Gateway 7
Not Vulnerable: libspf2 libspf2 1.2.8


 

Privacy Statement
Copyright 2010, SecurityFocus